# VrpHeurTSP Class Reference

`#include <VrpHeurTSP.h>`

Inheritance diagram for VrpHeurTSP:
[legend]
Collaboration diagram for VrpHeurTSP:
[legend]

List of all members.

## Public Member Functions
| VrpHeurTSP ()
| Default Constructor.
| VrpHeurTSP (VrpModel *model, const char *name, BlisHeurStrategy strategy, int freq)
| Constructor with model.
| ~VrpHeurTSP ()
| Destructor.
virtual bool | searchSolution (double &objectiveValue, double *newSolution)
| Returns 0 if no solution, 1 if valid solution.
## Protected Member Functions
void | createAdjList (VrpModel *model)
| Create adjacent list for each vertex.
void | freeGuts ()
## Protected Attributes
std::vector< CoinPackedVector * > | adjList_
std::vector< int > | tour_
| TSP Tour.
bool * | visited_
| Mark if vertices have been visited.
int | preNode_
| The node at which this heuristic was call.
int * | neighbors_
| Neighbors determined from LP solution.
int | nodeCalls_
| Call how many time at a node.
std::vector< int > * | edgeColMatch_
| Edge and column relationship.
## Private Member Functions
VrpHeurTSP & | operator= (const VrpHeurTSP &rhs)
| Illegal Assignment operator.

## Detailed Description

Definition at line 54 of file VrpHeurTSP.h.

## Constructor & Destructor Documentation

VrpHeurTSP::VrpHeurTSP | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 112 of file VrpHeurTSP.h.

VrpHeurTSP::VrpHeurTSP | ( | VrpModel * | model,
|  | const char * | name,
|  | BlisHeurStrategy | strategy,
|  | int | freq |
| ) |  |  | `[inline]`

Constructor with model.

Definition at line 118 of file VrpHeurTSP.h.

VrpHeurTSP::~VrpHeurTSP | ( |  | ) | `[inline]`

Destructor.

Definition at line 132 of file VrpHeurTSP.h.

## Member Function Documentation

VrpHeurTSP& VrpHeurTSP::operator= | ( | const VrpHeurTSP & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from BlisHeuristic.

void VrpHeurTSP::createAdjList | ( | VrpModel * | model | ) | `[protected]`

Create adjacent list for each vertex.

void VrpHeurTSP::freeGuts | ( |  | ) | `[inline, protected]`

Definition at line 90 of file VrpHeurTSP.h.

virtual bool VrpHeurTSP::searchSolution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

Returns 0 if no solution, 1 if valid solution.

newSolution stores the solution in dense format.

Implements BlisHeuristic.

## Member Data Documentation

std::vector<CoinPackedVector *> VrpHeurTSP::adjList_`[protected]`

Definition at line 65 of file VrpHeurTSP.h.

std::vector<int> VrpHeurTSP::tour_`[protected]`

TSP Tour.

Definition at line 71 of file VrpHeurTSP.h.

bool* VrpHeurTSP::visited_`[protected]`

Mark if vertices have been visited.

Definition at line 74 of file VrpHeurTSP.h.

int VrpHeurTSP::preNode_`[protected]`

The node at which this heuristic was call.

Definition at line 77 of file VrpHeurTSP.h.

int* VrpHeurTSP::neighbors_`[protected]`

Neighbors determined from LP solution.

Definition at line 81 of file VrpHeurTSP.h.

int VrpHeurTSP::nodeCalls_`[protected]`

Call how many time at a node.

Definition at line 84 of file VrpHeurTSP.h.

std::vector<int>* VrpHeurTSP::edgeColMatch_`[protected]`

Edge and column relationship.

Give an edge {v0, v1}, edgeColMatch_[v1-1][v0] is the column index.

Definition at line 88 of file VrpHeurTSP.h.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.94.1/Blis/examples/VRP/VrpHeurTSP.h